petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabGetBoundaryMarkers

Return references to the vertices, faces, elements on the boundary

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetBoundaryMarkers(DM dm,const moab::Range **bdvtx,const moab::Range** bdelems,const moab::Range** bdfaces)

### Input Parameter

dm - The DMMoab object Many br

### Output Parameter

bdvtx - Boundary vertices Many br
bdelems - Boundary elements Many br
bdfaces - Boundary faces Many br

Many br

### See Also

DMMoabCheckBoundaryVertices(), DMMoabIsEntityOnBoundary()

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages